# Filename: gui_begin_indent.py
# Purpose:  Create a panel showing 5 levels of indented text.
# Results:  Basic panel using indented lines.

from maptek import vulcan_gui

pan = vulcan_gui.panel("Basic Panel")
pan.statictext('Normal placement.')
pan.statictext('The letter capital O is for scale.')

pan.statictext('O')
pan.begin_indent(indent=1)
pan.statictext('Indent = 1.')
pan.end_indent()

pan.statictext('OO')
pan.begin_indent(indent=2)
pan.statictext('Indent = 2.')
pan.end_indent()

pan.statictext('OOO')
pan.begin_indent(indent=3)
pan.statictext('Indent = 3.')
pan.end_indent()

pan.statictext('OOOO')
pan.begin_indent(indent=4)
pan.statictext('Indent = 4.')
pan.end_indent()

pan.statictext('OOOOO')
pan.begin_indent(indent=5)
pan.statictext('Indent = 5.')
pan.end_indent()

pan.display()